Bug 1777 - xinetd leaks descriptors
: xinetd leaks descriptors
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinetd)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-28 21:43 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-28 21:43:33
There are situations when xinetd starts leaking descriptors for spawned
children. The problem exists since version 2.3.8 and still not fixed in
xinetd-20021209.
---

---
Cite from Steve Grubb:
---
Here\'s a link to the e-mail that I posted to the group
when I discovered the cause of the leaked descriptors:
<a
href="http://marc.theaimsgroup.com/?l=xinetd&amp;m=103767881425253&amp;w=2">http://marc.theaimsgroup.com/?l=xinetd&amp;m=103767881425253&amp;w=2</a>

And here\'s a link to an e-mail where someone else
explained what he discovered about the descriptors
being mixed up:
<a
href="http://marc.theaimsgroup.com/?l=xinetd&amp;m=103893604709367&amp;w=2">http://marc.theaimsgroup.com/?l=xinetd&amp;m=103893604709367&amp;w=2</a>

And here\'s a test script he supplied:
<a
href="http://marc.theaimsgroup.com/?l=xinetd&amp;m=103893602009155&amp;w=2">http://marc.theaimsgroup.com/?l=xinetd&amp;m=103893602009155&amp;w=2</a>
---
------- Comment #1 From 2002-12-29 23:50:04 -------
It also leaks descriptors of unclosed configuration files.
------- Comment #2 From 2002-12-29 23:50:04 -------
It also leaks descriptors of unclosed configuration files.
------- Comment #3 From 2002-12-30 18:15:58 -------
xinetd-2.3.9-alt5.20021209 no longer leaks config files.
------- Comment #4 From 2002-12-30 18:15:58 -------
xinetd-2.3.9-alt5.20021209 no longer leaks config files.
------- Comment #5 From 2002-12-31 19:53:19 -------
Fixed in xinetd-2.3.9-alt6.20021209 (at least, passes my test).
------- Comment #6 From 2002-12-31 19:53:19 -------
Fixed in xinetd-2.3.9-alt6.20021209 (at least, passes my test).
------- Comment #7 From 2003-01-13 20:54:51 -------
merged into xinetd-2.3.10
------- Comment #8 From 2003-01-13 20:54:51 -------
merged into xinetd-2.3.10